[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNode.TreeDepth

Level of the node in the tree below

## Declaration

Source position: avl_tree.pp line 51

`public function TAVLTreeNode.TreeDepth: Integer;`

## Function result

The depth of the current node

## Description

TreeDepth is the height of the node: this is the largest height of the left or right nodes, plus 1. If no nodes appear below this node (left and Right are Nil), the depth is 1.

## See also

Balance |  | Balance of the current node